## procmap procmap |

## Functions

glibtop_map_entry * | glibtop_get_proc_map ()
glibtop_map_entry * | glibtop_get_proc_map_l ()
glibtop_map_entry * | glibtop_get_proc_map_p ()
glibtop_map_entry * | glibtop_get_proc_map_s ()

## Types and Values

#define | GLIBTOP_PROC_MAP_NUMBER
#define | GLIBTOP_PROC_MAP_TOTAL
#define | GLIBTOP_PROC_MAP_SIZE
#define | GLIBTOP_MAX_PROC_MAP
#define | GLIBTOP_MAP_ENTRY_START
#define | GLIBTOP_MAP_ENTRY_END
#define | GLIBTOP_MAP_ENTRY_OFFSET
#define | GLIBTOP_MAP_ENTRY_PERM
#define | GLIBTOP_MAP_ENTRY_INODE
#define | GLIBTOP_MAP_ENTRY_DEVICE
#define | GLIBTOP_MAP_ENTRY_FILENAME
#define | GLIBTOP_MAP_ENTRY_SIZE
#define | GLIBTOP_MAP_ENTRY_RSS
#define | GLIBTOP_MAP_ENTRY_SHARED_CLEAN
#define | GLIBTOP_MAP_ENTRY_SHARED_DIRTY
#define | GLIBTOP_MAP_ENTRY_PRIVATE_CLEAN
#define | GLIBTOP_MAP_ENTRY_PRIVATE_DIRTY
#define | GLIBTOP_MAX_MAP_ENTRY
#define | GLIBTOP_MAP_FILENAME_LEN
#define | GLIBTOP_MAP_PERM_READ
#define | GLIBTOP_MAP_PERM_WRITE
#define | GLIBTOP_MAP_PERM_EXECUTE
#define | GLIBTOP_MAP_PERM_SHARED
#define | GLIBTOP_MAP_PERM_PRIVATE
struct | glibtop_map_entry
struct | glibtop_proc_map
#define | glibtop_get_proc_map_r

## Includes

    #include <glibtop/procmap.h>

## Description

## Functions

### glibtop_get_proc_map ()

    glibtop_map_entry *
    glibtop_get_proc_map (glibtop_proc_map *buf,
                          pid_t pid);

#### Returns

.

[transfer full][array zero-terminated=1]

### glibtop_get_proc_map_l ()

    glibtop_map_entry *
    glibtop_get_proc_map_l (glibtop *server,
                            glibtop_proc_map *buf,
                            pid_t pid);

#### Parameters

buf | . | [out]

#### Returns

.

[transfer full][array zero-terminated=1]

### glibtop_get_proc_map_p ()

    glibtop_map_entry *
    glibtop_get_proc_map_p (glibtop *server,
                            glibtop_proc_map *buf,
                            pid_t pid);

#### Parameters

buf | . | [out]

#### Returns

.

[transfer full][array zero-terminated=1]

### glibtop_get_proc_map_s ()

    glibtop_map_entry *
    glibtop_get_proc_map_s (glibtop *server,
                            glibtop_proc_map *buf,
                            pid_t pid);

#### Parameters

buf | . | [out]

#### Returns

.

[transfer full][array zero-terminated=1]

## Types and Values

### GLIBTOP_PROC_MAP_NUMBER

    #define GLIBTOP_PROC_MAP_NUMBER		0

### GLIBTOP_PROC_MAP_TOTAL

    #define GLIBTOP_PROC_MAP_TOTAL		1

### GLIBTOP_PROC_MAP_SIZE

    #define GLIBTOP_PROC_MAP_SIZE		2

### GLIBTOP_MAX_PROC_MAP

    #define GLIBTOP_MAX_PROC_MAP		3

### GLIBTOP_MAP_ENTRY_START

    #define GLIBTOP_MAP_ENTRY_START		0

### GLIBTOP_MAP_ENTRY_END

    #define GLIBTOP_MAP_ENTRY_END		1

### GLIBTOP_MAP_ENTRY_OFFSET

    #define GLIBTOP_MAP_ENTRY_OFFSET 2

### GLIBTOP_MAP_ENTRY_PERM

    #define GLIBTOP_MAP_ENTRY_PERM		3

### GLIBTOP_MAP_ENTRY_INODE

    #define GLIBTOP_MAP_ENTRY_INODE		4

### GLIBTOP_MAP_ENTRY_DEVICE

    #define GLIBTOP_MAP_ENTRY_DEVICE 5

### GLIBTOP_MAP_ENTRY_FILENAME

    #define GLIBTOP_MAP_ENTRY_FILENAME 6

### GLIBTOP_MAP_ENTRY_SIZE

    #define GLIBTOP_MAP_ENTRY_SIZE			 7

### GLIBTOP_MAP_ENTRY_RSS

    #define GLIBTOP_MAP_ENTRY_RSS			 8

### GLIBTOP_MAP_ENTRY_SHARED_CLEAN

    #define GLIBTOP_MAP_ENTRY_SHARED_CLEAN		 9

### GLIBTOP_MAP_ENTRY_SHARED_DIRTY

    #define GLIBTOP_MAP_ENTRY_SHARED_DIRTY		10

### GLIBTOP_MAP_ENTRY_PRIVATE_CLEAN

    #define GLIBTOP_MAP_ENTRY_PRIVATE_CLEAN		11

### GLIBTOP_MAP_ENTRY_PRIVATE_DIRTY

    #define GLIBTOP_MAP_ENTRY_PRIVATE_DIRTY		12

### GLIBTOP_MAX_MAP_ENTRY

    #define GLIBTOP_MAX_MAP_ENTRY		15

### GLIBTOP_MAP_FILENAME_LEN

    #define GLIBTOP_MAP_FILENAME_LEN 215

### GLIBTOP_MAP_PERM_READ

    #define GLIBTOP_MAP_PERM_READ		1

### GLIBTOP_MAP_PERM_WRITE

    #define GLIBTOP_MAP_PERM_WRITE		2

### GLIBTOP_MAP_PERM_EXECUTE

    #define GLIBTOP_MAP_PERM_EXECUTE 4

### GLIBTOP_MAP_PERM_SHARED

    #define GLIBTOP_MAP_PERM_SHARED		8

### GLIBTOP_MAP_PERM_PRIVATE

    #define GLIBTOP_MAP_PERM_PRIVATE 16

### struct glibtop_map_entry

    struct glibtop_map_entry {
    	guint64 flags;

    	guint64 start;

    	guint64 end;

    	guint64 offset;

    	guint64 perm;

    	guint64 inode;

    	guint64 device;
    	guint64 size;
    	guint64 rss;
    	guint64 shared_clean;

    	guint64 shared_dirty;
    	guint64 private_clean;

    	guint64 private_dirty;
    	guint64 pss;
    	guint64 swap;
    	char filename [GLIBTOP_MAP_FILENAME_LEN+1];
    };

### struct glibtop_proc_map

    struct glibtop_proc_map {
    	guint64 flags;
    	guint64 number;			/* GLIBTOP_PROC_MAP_NUMBER */
    	guint64 total;			/* GLIBTOP_PROC_MAP_TOTAL */
    	guint64 size;			/* GLIBTOP_PROC_MAP_SIZE */
    };

### glibtop_get_proc_map_r

    #define glibtop_get_proc_map_r		glibtop_get_proc_map_p